import json


def test_tsvTemplate(client):
    expected_response = str(json.dumps({"Publication Day": 1, "Publication Month": 1, "Publication Year": 1, "Authors": "Some authors", "Title": "A title", "Abstract": "An abstract", "Source": "Some Source"}, indent=3)).encode(encoding="utf-8")

    response = client.get('/contexts')

    assert response.data == expected_response
    assert response.status_code == 200

def test_termsTemplate(client):
    expected_response = str(json.dumps({"status": "MapTerm", "label": "A term"}, indent=3)).encode(encoding="utf-8")

    response = client.get('/terms')
    
    assert response.data == expected_response
    assert response.status_code == 200
