## About The project

## Virtual environment

Create a vitual environment
```shell
python3 -m venv .venv
```

enter environment
```shell
. .venv/bin/activate
```

exit environment
```shell
deactivate
```

## Install needed packages

for executing web app :
```shell
pip install -r requirement.txt
```

for executing test and coverage : 
```shell
pip install -e .
pip install -r requirement_test.txt
```

## Tests and Coverage

Executing tests and coverage
```shell
coverage run -m pytest
```

View coverage report
```shell
coverage report
coverage html
```

## Start Project

```shell
flask --app gargantools.py run
```
