from gargantools import create_app


def test_config():
    assert not create_app().testing
    assert create_app({'TESTING': True}).testing

def test_homepage(client):
    response = client.get('/')
    assert response.status_code == 200

def test_hello(client):
    response = client.get('/hello')
    assert response.data == b'Hello, World!'
    assert response.status_code == 200
